=== debian/changelog ===
cppad (2023.00.00.0-2) unstable; urgency=medium

  * Stop trying to install old format ohm documentation (closes: #1027954)
  * Don't try to build documents from new format xrst documentation
  * Change soname, rename libcppad-lib 340.3 to 1456.0
  * Update debian/copyright
  * Update relationship to old cppad package per lintian

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 29 Mar 2023 09:46:00 +0100

cppad (2023.00.00.0-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.2, no changes needed.
  * Don't bother patching "incase" in "in case" in comments

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 03 Jan 2023 11:45:55 +0000
