=== debian/changelog ===
cppad (2024.00.00.3-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 17 Feb 2024 16:20:35 +0000

cppad (2024.00.00.2-2) unstable; urgency=medium

  * Set CMAKE_BUILD_TYPE=RelWithDebInfo since no value causes an FTBFS

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 22 Jan 2024 19:31:17 +0000

cppad (2024.00.00.2-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 22 Jan 2024 16:17:51 +0000

cppad (2024.00.00.1-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 12 Jan 2024 13:18:41 +0000

cppad (2023.00.00.0-3) unstable; urgency=medium

  [ Benoît Vinot ]
  * Solve conflicts between packages.

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 15 Jun 2023 22:29:23 +0100
