=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: cppad
 Description: Automatic Differentiation of C++ algorithms, shared library
  CppAD is a package for automatic differentiation (AD) of algorithms
  written in C++.  Given appropriately written C++ code that computes a
@@ -32,9 +31,6 @@
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, libcppad-lib1456.0 (= ${binary:Version})
 Suggests: libcppad-doc
-Conflicts: cppad
-Provides: cppad
-Replaces: cppad
 Description: Automatic Differentiation of C++ algorithms, dev files
  CppAD is a package for automatic differentiation (AD) of algorithms
  written in C++.  Given appropriately written C++ code that computes a
@@ -50,7 +46,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Conflicts: cppad
 Description: Automatic Differentiation of C++ algorithms, documentation
  CppAD is a package for automatic differentiation (AD) of algorithms
  written in C++.  Given appropriately written C++ code that computes a
